CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor, Revit and other Autodesk products [www.cadforum.cz]
CZ | EN | DE
Login or
registration
  Visitors: 2613

CAD tip CAD tip # 12697:

   
Question CAD 
 %  platform  category 
Q - question

Opposite angle for angular dimensions in Inventor drawings (iLogic).

A - answer How to dimension angles including the value of an opposite angle (to 90°) in Inventor drawings?

If you need to show not only the main value of an angle but also a complementary opposite angle value (to 90°), you can use the following iLogic rule. It adds the "opposite" angle (in parentheses) to a selected, plain angular dimension. The displayed preecision will be the same as in the main dimension.

Any subsequent change of the angle or dimension style will not update the opposite angle dimension dynamically. You will need tu re-apply the rule. You can add an icon for this rule into Inventor ribbon e.g. by using our X-Tools.

The iLogic code:

'Adds opposite (90°) angle to ang.dimension (CAD Studio, 2020, www.cadforum.cz)
Dim oSelection As Object = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingDimensionFilter, "Select an angular dimension:")
If IsNothing(oSelection) Then Return
If oSelection.Type <> kAngularGeneralDimensionObject Then
	MsgBox("This is not an angular dimension!", vbCritical, "Inventor")
	Return
End If
Dim oDim As AngularGeneralDimension = oSelection
Dim opposíte As Double = 90.0-oDim.ModelValue*180.0/PI 'opposite to 90°
If oDim.Text.FormattedText.Contains("°)") Then 'update
	oDim.Text.FormattedText = "<‍DimensionValue/>" & vbCrLf & "(" & CStr(Round(opposíte,oDim.Precision)) & "°)"
Else 'create
        oDim.Text.FormattedText = oDim.Text.FormattedText & vbCrLf & "(" & CStr(Round(opposíte,oDim.Precision)) & "°)"
End If
oDim.Text.HorizontalJustification = kAlignTextCenter
Inventor
100% *  CAD 
16.8.2020    3187×  
Prices - CAD eShop:
applies to: Inventor ·

See also:
Tip 13536:iLogic: How to find if a document is a sheet metal part and if it contains holes?
Tip 13311:How to bulk transfer iLogic rules and forms from Inventor source documents?
Tip 13211:Automatic numbering/renaming of multi-volume bodies in a part.
Tip 13197:How to transfer a model or sketch parameter to iProperties?
Tip 13040:iLogic - display information about complexity of an Inventor part.


Back   All CAD Tips



Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
Use Google Earth images in your AutoCAD projects with the Plex.Earth Tools More info


Please use these tips at your own risk.
Arkance Systems is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist